Subject: bug#39181: 27.0.50; [PATCH] Allow users to store & restore gdb-mi layout

From: Yuan Fu <[email-masked]>
Date: Sat, 21 Mar 2020 14:00:56 -0400

Thanks for reviewing! Almost all fixed with some comments:

>> +@code{gdb-default-window-configuration-file}.  If it is not an
>> +absolute path, GDB looks under
>> +@code{gdb-window-configuration-directory} (default to
>> +@file{~/.emacs.d}) for the file.
> 
> "(which defaults to user-emacs-directory)" (ideally with a proper
> reference to that variable).

The whole Emacs user manual only referenced user-emacs-directory once when talking about ~/.emacs.d. OTOH ~/.emacs.d is used across the manual. I think ~/.emacs.d is better.

>> +premium.  If you choose to start GDB in the same frame, consider
>> +setting @code{gdb-restore-window-configuration-after-quit} to
>> +non-@code{nil}.  Then GDB restores your original window layout after
> 
> "to a non-nil value.  Your original window layout will then be restored
> after GDB quits."

I prefer active voice than passive voice but don’t object the latter. So I changed it accordingly.

Yuan